Subject: Re: pkg/27545
To: None <>
From: Florence HENRY <>
List: pkgsrc-bugs
Date: 03/29/2005 13:26:30 a écrit :

> Are you still having problems?  sun-jre15 works well for me right now on
> NetBSD 2.0.1/i386.

It still doesn't work.

uname -a :
NetBSD 2.0.1 NetBSD 2.0.1 (OTARIE) #0: Mon Mar 14 
23:28:45 CET 2005 i386

(the OTARIE kernel is a copy of GENERIC)

Here is the program I'mp trying to compile :
class HelloWorld {
     public static void main(String[] args) {
         System.out.println("Hello World!..."); //Display the string.

The compilation fails with :

$ javac
There was an error trying to initialize the HPI library.
Please check your installation, HotSpot does not work correctly
when installed in the JDK 1.2 Linux Production Release, or
with any JDK 1.1.x release.
Could not create the Java virtual machine.

And here are the limits :

$ ulimit -a
time(cpu-seconds)    unlimited
file(blocks)         unlimited
coredump(blocks)     unlimited
data(kbytes)         1048576
stack(kbytes)        32768
lockedmem(kbytes)    338944
memory(kbytes)       1016832
nofiles(descriptors) 64
processes            160

Florence Henry